%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Media Center
Name: elisa
Version: 0.5.30
Release: 1%{?dist}
# The base of Elisa is GPLv3, some plugins are MIT but are in other packages.
# See the included COPYING file for the details.
License: GPLv3
Group: Applications/Multimedia
URL: http://elisa.fluendo.com/
Source0: http://elisa.fluendo.com/static/download/elisa/elisa-%{version}.tar.gz
Patch0: elisa-0.5.29-disable-plugin-updates.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Our "base" files for building the plugins where the main requirements are
Requires: elisa-base = %{version}-%{release}
# Plugins. The bad are actually mandatory (they contain the GUI for instance)
Requires: elisa-plugins-good >= %{version}
Requires: elisa-plugins-bad >= %{version}
# For the "build" itself, most of the above aren't required, just these
BuildRequires: python-devel
BuildRequires: python-twisted-core
BuildRequires: python-setuptools-devel
Buildarch: noarch

%description
Media center solution using the GStreamer multimedia framework.


%package base
Summary: Base files for the Elisa Media Center
Group: Applications/Multimedia
# Mandatory
Requires: python-setuptools
Requires: python-imaging
Requires: gnome-python2-extras
# elisa/core/utils/misc.py at least requires this
Requires: python-twisted-core
# elisa/core/applition.py at least requires this (as of 0.5.17, still 0.5.18)
Requires: python-twisted-web
# We used to have a "common" package providing the "devel"
# Then we used to have a "devel" package... but now we just BR "base"
Obsoletes: elisa-common < 0.5.9
Obsoletes: elisa-devel < 0.5.14
# The whole point of having this base package is to split off the basic files
# which are required to build the plugins, since those plugins are runtime
# required by the main "elisa" package (avoid a dependency loop).

%description base
Base files for the Elisa Media Center.


%prep
%setup -q
%patch0 -p1


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install \
    --single-version-externally-managed \
    -O1 --skip-build --root %{buildroot}

# Create empty plugins directory
%{__mkdir_p} %{buildroot}%{python_sitelib}/elisa/plugins

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS FAQ FIRST_RUN NEWS README docs/*.txt
%{_bindir}/elisa
%{_datadir}/applications/elisa.desktop
%exclude %{_datadir}/applications/elisa-mobile.desktop
%{_datadir}/dbus-1/services/com.fluendo.elisa.service
%exclude %{_datadir}/icons/elisa.png
%{_datadir}/pixmaps/elisa.png
%{_mandir}/man1/elisa.1*

%files base
%defattr(-,root,root,-)
%doc COPYING LICENSE*
%{python_sitelib}/elisa/
%{python_sitelib}/elisa-*.egg-info/
%{python_sitelib}/elisa-*-nspkg.pth


%changelog
* Tue Mar  3 2009 Matthias Saou <http://freshrpms.net/> 0.5.30-1
- Update to 0.5.30.

* Sat Feb 28 2009 Matthias Saou <http://freshrpms.net/> 0.5.29-1
- Update to 0.5.29.
- Include patch to disable automatic updates, which should better conform with
  Fedora packaging policies.

* Tue Feb 17 2009 Matthias Saou <http://freshrpms.net/> 0.5.28-1
- Update to 0.5.28.

* Fri Feb 13 2009 Matthias Saou <http://freshrpms.net/> 0.5.27-1
- Update to 0.5.27.

* Sat Feb  7 2009 Matthias Saou <http://freshrpms.net/> 0.5.26-1
- Update to 0.5.26.

* Wed Jan 21 2009 Matthias Saou <http://freshrpms.net/> 0.5.24.1-1
- Update to 0.5.24.1.
- Drop the mgopen-fonts req, it hasn't been the default font for a while.

* Mon Jan 12 2009 Matthias Saou <http://freshrpms.net/> 0.5.23-1
- Update to 0.5.23.

* Thu Dec 18 2008 Matthias Saou <http://freshrpms.net/> 0.5.22-1
- Update to 0.5.22.

* Mon Dec  1 2008 Matthias Saou <http://freshrpms.net/> 0.5.20-1
- Update to 0.5.20.

* Mon Nov 24 2008 Matthias Saou <http://freshrpms.net/> 0.5.19-1
- Update to 0.5.19.

* Mon Nov 17 2008 Matthias Saou <http://freshrpms.net/> 0.5.18-1
- Update to 0.5.18.

* Sun Nov  9 2008 Matthias Saou <http://freshrpms.net/> 0.5.17-2
- Add (now) missing python-twisted-web requirement.

* Tue Nov  4 2008 Matthias Saou <http://freshrpms.net/> 0.5.17-1
- Update to 0.5.17.

* Mon Oct 27 2008 Matthias Saou <http://freshrpms.net/> 0.5.16-1
- Update to 0.5.16.

* Tue Oct 21 2008 Matthias Saou <http://freshrpms.net/> 0.5.15-1
- Update to 0.5.15.

* Mon Oct 13 2008 Matthias Saou <http://freshrpms.net/> 0.5.14-1
- Update to 0.5.14.

* Fri Oct 10 2008 Matthias Saou <http://freshrpms.net/> 0.5.13-2
- Go back to using an elisa/elisa-base split, we'll just BR elisa-base in
  the plugins.

* Tue Oct  7 2008 Matthias Saou <http://freshrpms.net/> 0.5.13-1
- Update to 0.5.13.

* Tue Sep 30 2008 Matthias Saou <http://freshrpms.net/> 0.5.12-1
- Update to 0.5.12.

* Tue Sep 23 2008 Matthias Saou <http://freshrpms.net/> 0.5.11-1
- Update to 0.5.11.

* Tue Sep 16 2008 Matthias Saou <http://freshrpms.net/> 0.5.10-1
- Update to 0.5.10.

* Tue Sep  9 2008 Matthias Saou <http://freshrpms.net/> 0.5.9-1
- Update to 0.5.9.

* Mon Sep  2 2008 Matthias Saou <http://freshrpms.net/> 0.5.8-3
- Update to 0.5.8.
- Replace the "common" package approach with a split out "devel" one which
  contains some duplicated files from the main package.

* Tue Aug 26 2008 Matthias Saou <http://freshrpms.net/> 0.5.7-1
- Update to 0.5.7.

* Tue Aug 19 2008 Matthias Saou <http://freshrpms.net/> 0.5.6-1
- Update to 0.5.6.
- Require the exact same elisa plugins version, as elisa and all plugins are
  always released all at once and should always match.

* Mon Aug 11 2008 Matthias Saou <http://freshrpms.net/> 0.5.5-1
- Update to 0.5.5.

* Fri Aug  8 2008 Matthias Saou <http://freshrpms.net/> 0.5.4-1
- Update to 0.5.4.

* Tue Jul 29 2008 Matthias Saou <http://freshrpms.net/> 0.5.3-1
- Update to 0.5.3.

* Wed Jul 23 2008 Matthias Saou <http://freshrpms.net/> 0.5.2-4
- Update to 0.5.2.
- Split a "common" sub-package required by the main "elisa" package and
  providing a "devel" sub-package.
- Add plugins requirements, made possible thanks to the above hack.
- Update requirements, moving many to the proper plugins sub-packages.

* Tue Jul 15 2008 Matthias Saou <http://freshrpms.net/> 0.5.1-6
- Update to the fixed 0.5.1 tarball.
- Remove Windows specific plugins from the default configuration.

* Mon Jul 14 2008 Matthias Saou <http://freshrpms.net/> 0.5.1-4
- Use the right 0.5 branch, it's the "upicek" one, not "0.5", go figure...

* Sat Jul 12 2008 Matthias Saou <http://freshrpms.net/> 0.5.1-3
- Use a bzr branch as sources, as the 0.5.1 tarball is completely broken.
- Don't exclude the docs.

* Fri Jul 11 2008 Matthias Saou <http://freshrpms.net/> 0.5.1-1
- Update to 0.5.1.
- Include as sources the no longer provided elisa.desktop and elisa.png.
- Remove no longer needed desktop file patch.

* Wed Mar 12 2008 Matthias Saou <http://freshrpms.net/> 0.3.5-1
- Update to 0.3.5.
- Add new included files.
- Include empty plugins directory.

* Tue Mar  4 2008 Matthias Saou <http://freshrpms.net/> 0.3.4-1
- Update to 0.3.4.
- Add new elisa-plugins-* requirements.

* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 0.3.3-2
- Require pigment-python instead of pigment now that it has been split out.

* Thu Jan 17 2008 Matthias Saou <http://freshrpms.net/> 0.3.3-1
- Update to 0.3.3.
- Add python-BeautifulSoup requirement (#416921).
- Do not include i386 only binary libgstflvdemux.so plugin, for YouTube plugin.

* Tue Oct  9 2007 Matthias Saou <http://freshrpms.net/> 0.3.2-1
- Update to 0.3.2.
- Add new external_plugins python directory.

* Tue Sep  4 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-3
- Add requirement of mgopen-fonts (see upstream trac #571).

* Tue Aug 28 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-2
- Update python-setuptools build requirement to new python-setuptools-devel.

* Sat Aug  4 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-1
- Update to 0.3.1.
- Update License field.
- Update requirement to pigment >= 0.3.1.
- Remove no longer needed desktopentry and nobangpy patches.
- Update desktop patch.

* Wed May 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-4
- Patch desktop file to remove useless bits (Version and extra Categories).

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-3
- Change Coherence requirement to python-Coherence to match package name change.

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-2
- Change coherence requirement to Coherence to match package name change.

* Fri May  4 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-1
- Update to 0.1.6.

* Mon Apr 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.5-1
- Update to 0.1.5.
- Disable gst requirements which aren't part of Fedora (oops!).
- Patch out the hash-bang python from scripts not meant to be executed.
- Rip out the root user test condition to installing the desktop entry.

* Fri Mar 23 2007 Matthias Saou <http://freshrpms.net/> 0.1.4.2-1
- Update to 0.1.4.2.

* Wed Feb 21 2007 Matthias Saou <http://freshrpms.net/> 0.1.4.1-1
- Update to 0.1.4.1.

* Thu Feb  8 2007 Matthias Saou <http://freshrpms.net/> 0.1.3-1
- Initial RPM release.

